/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增编辑保险机构 POST /api/InsureOrganization/CreateOrEditInsureOrganization */
export async function createOrEditInsureOrganization(
  body: API.CreateOrEditInsureOrganizationInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/InsureOrganization/CreateOrEditInsureOrganization', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除保险机构 DELETE /api/InsureOrganization/DeleteInsureOrganization */
export async function deleteInsureOrganization(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureOrganizationParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOrganization/DeleteInsureOrganization', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据ID获取保险机构详情 GET /api/InsureOrganization/GetInsureOrganizationInfoById */
export async function getInsureOrganizationInfoById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureOrganizationInfoByIdParams,
  options?: API.RequestConfig
) {
  return request<API.InsureOrganizationDto>(
    '/api/InsureOrganization/GetInsureOrganizationInfoById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保险机构列表 POST /api/InsureOrganization/GetInsureOrganizationList */
export async function getInsureOrganizationList(
  body: API.GetInsureOrganizationInput,
  options?: API.RequestConfig
) {
  return request<API.InsureOrganizationInfoDtoPageOutput>(
    '/api/InsureOrganization/GetInsureOrganizationList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保险机构下拉列表 GET /api/InsureOrganization/GetInsureOrganizationListForSelect */
export async function getInsureOrganizationListForSelect(options?: API.RequestConfig) {
  return request<API.InsureOrganizationSelectDto[]>(
    '/api/InsureOrganization/GetInsureOrganizationListForSelect',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 设置状态 POST /api/InsureOrganization/SetInsureOrganizationStatus */
export async function setInsureOrganizationStatus(
  body: API.SetNormalStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOrganization/SetInsureOrganizationStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
